<template>
  <button class="btn btn-secondary dropdown-toggle" type="button" id="opciones" data-bs-toggle="dropdown" aria-expanded="false">
        <i class="bi bi-three-dots" id="puntos"></i>
    </button>
    <ul class="dropdown-menu dropdown-menu-end">
        <li><router-link class="dropdown-item" :to="`/editar-publicacion/${publicacion.id}`">Editar</router-link></li>
        <li><a class="dropdown-item" href="#" @click="eliminarPublicacion">Eliminar</a></li>
        <!--<li><a class="dropdown-item" href="#" @click="eliminarPublicacion(publicacion)">Eliminar</a></li>-->
        <li v-if="!publicacion.destacado"><a class="dropdown-item" href="#" @click="addToDestacadas">Destacar</a></li>
        <li v-else><a class="dropdown-item" href="#" @click="deleteOfDestacadas">Quitar de destacado</a></li>
        <li v-if="!publicacion.foto"><a class="dropdown-item" @click="addToFotos">Añadir a fotos</a></li>
        <li v-else><a class="dropdown-item" @click="deleteOfFotos">eliminar de fotos</a></li>
    </ul>
</template>

<script>
import axios from "axios"
export default {
    data(){
        return{
            muro:null
        }
    },
    props:{
        publicacion:{}
    },
    methods:{
        async obtenerMuro(){
            try {
                let res= await axios.get(`http://localhost:3001/muro/ver/${this.publicacion.muro.id}`)
                res=res.data;
                console.log(res);
            } catch (error) {
                console.log(error)
            }
        }, async addToFotos(){
            try{
                await axios.post(`http://localhost:3001/muro/agregar/publicaciones_fotos/${this.publicacion.id}`)
                window.location.reload();
            }catch(e){
                console.log(e);
            }
        },
        async deleteOfFotos(){
            try{
                await axios.put(`http://localhost:3001/muro/eliminar/publicaciones_fotos/${this.publicacion.id}`)
                window.location.reload();
            }catch(e){
                console.log(e);
            }
        },
        async addToDestacadas(){
            try{
                await axios.post(`http://localhost:3001/muro/agregar/publicaciones_destacadas/${this.publicacion.id}`)
                window.location.reload();
            }catch(e){
                console.log(e);
            }
        },
        async deleteOfDestacadas(){
            try{
                await axios.put(`http://localhost:3001/muro/eliminar/publicaciones_destacadas/${this.publicacion.id}`)
                window.location.reload();
            }catch(e){
                console.log(e);
            }
        },
        eliminarPublicacion() {
        if (this.id_publi === null) {
          alert("Error, introduzca un número");
          return;
        }
        axios
          .post(`http://localhost:3001/p/eliminar?id_publicacion=${this.publicacion.id}`)
          .then((response) => {
            console.log(response.data);
            window.location.reload();
          });
        },
    },
    async mounted(){
        this.obtenerMuro();
    }
}
</script>

<style>

</style>